%define api 1.0
%define major 0
%define libname %mklibname usb %{api} %{major}
%define devname %mklibname usb %{api} -d
%define sdevname %mklibname usb %{api} -d -s

Summary:	Library for accessing USB devices
Name:		libusbx
Version:	1.0.18
Release:	3
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://sourceforge.net/apps/mediawiki/libusbx/
Source0:	http://downloads.sourceforge.net/libusbx/libusbx-%{version}.tar.bz2
BuildRequires:	doxygen
BuildRequires:	pkgconfig(udev)
Provides:	libusbx1 = %{EVRD}
Provides:	libusbx = %{EVRD}
Provides:	libusb1 = %{EVRD}
Obsoletes:	libusb1 < 1.0.10

%description
This package provides a way for applications to access USB devices.

Libusbx is a fork of the original libusb, which is a fully API and ABI
compatible drop in for the libusb-1.0.9 release. The libusbx fork was
started by most of the libusb-1.0 developers, after the original libusb
project did not produce a new release for over 18 months.

Note that this library is not compatible with the original libusb-0.1 series,
if you need libusb-0.1 compatibility install the libusb package.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Libusbx is a fork of the original libusb
Group:		System/Libraries
Conflicts:	%{_lib}usbx1.0_0 < 1.0.18-2
Obsoletes:	%{_lib}usbx1.0_0 < 1.0.18-2

%description -n %{libname}
Libusbx is a fork of the original libusb, which is a fully API and ABI
compatible drop in for the libusb-1.0.9 release. The libusbx fork was
started by most of the libusb-1.0 developers, after the original libusb
project did not produce a new release for over 18 months.

%files -n %{libname}
%{_libdir}/libusb-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{name}-devel-doc = %{EVRD}
Provides:	libusbx1-devel = %{EVRD}
Provides:	libusb1-devel = %{EVRD}
Provides:	libusbx-devel = %{EVRD}
Provides:	usbx-devel = %{EVRD}
Provides:	usb1-devel = %{EVRD}
Provides:	usb1.0-devel = %{EVRD}
Conflicts:	%{_lib}usbx1.0-devel < 1.0.18-2
Obsoletes:	%{_lib}usbx1.0-devel < 1.0.18-2
Obsoletes:	libusb1-devel < 1.0.10

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%{_includedir}/libusb-%{api}
%{_libdir}/libusb-%{api}.so
%{_libdir}/pkgconfig/libusb-%{api}.pc

#----------------------------------------------------------------------------

#static package
%package -n %{sdevname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name}-devel-doc = %{EVRD}
Requires:	%{devname} = %{EVRD}
Provides:	libusbx1-static-devel = %{EVRD}
Provides:	libusb1-static-devel = %{EVRD}
Provides:	libusbx-static-devel = %{EVRD}
Provides:	usbx-devel-static = %{EVRD}
Provides:	usb1-static-devel = %{EVRD}
Provides:	usb1.0-static-devel = %{EVRD}
Conflicts:	%{_lib}usbx1.0-static-devel < 1.0.18-2
Obsoletes:	%{_lib}usbx1.0-static-devel < 1.0.18-2
Obsoletes:	libusb1-static-devel < 1.0.10

%description -n %{sdevname}
The %{name}-static-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{sdevname}
%{_libdir}/libusb-%{api}.a

#----------------------------------------------------------------------------

%package devel-doc
Summary:	Documentation for %{name}
Group:		Documentation
Provides:	libusb1-devel-doc = %{EVRD}
Obsoletes:	libusb1-devel-doc < 1.0.10
BuildArch:	noarch

%description devel-doc
This package contains API documentation for %{name}.

%files devel-doc
%doc doc/html examples/*.c

#----------------------------------------------------------------------------

%prep
%setup -q
for i in examples/*.c; do
    iconv -f ISO-8859-1 -t UTF-8 -o $i.new $i
    touch -r $i $i.new
    mv $i.new $i
done

%build
libtoolize --force
autoheader
autoconf
autoreconf -fiv
%configure2_5x --enable-examples-build
%make
pushd doc
make docs
popd

%install
%makeinstall_std


%changelog

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.18-3
- (ed4d70d) Properly obsolete development packages


